LibreOffice LibreOffice 25.8 SDK API Reference

Public Attributes | List of all members
EventDescriptor Service Referencepublished

specifies an event binding for a document or a document content More...

`import"EventDescriptor.idl";`

## Public Attributes
string | EventType
| specifies the type of the event handler More...
string | Script
| specifies the script source code More...

## Detailed Description

specifies an event binding for a document or a document content

See also
  Events
  XEventsSupplier

## Member Data Documentation

## ◆ EventType

string EventType
| property

specifies the type of the event handler

Usually this is one of the following:

- "None"
- "StarBasic"
- "JavaScript"
- "Presentation"

This list is extensible.

## ◆ Script

string Script
| property

specifies the script source code

The documentation for this service was generated from the following file:

- com/sun/star/document/EventDescriptor.idl